Subject: RE: [Ecrit] ANI

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Wed, 12 Apr 2006 23:40:49 +0100

Any GSM phone (circuit switched) without a UICC/SIM will recognise the following numbers:

"The following emergency numbers shall be stored in the ME for use when no emergency numbers are stored in the SIM/USIM: 000, 08, 112, 110,  911 and 999."

With a UICC/SIM you have the following:

"When a SIM/USIM is present, subscriber specific emergency call set-up MMI shall be provided.  The Home Environment operator shall specify preferred emergency call MMI(s) (e.g. 911 for US citizens or 110, 118 and 119 for Japanese citizens).  This shall be stored in the SIM/USIM and the ME shall read this and use any entry of these digits to set up an emergency call. It shall be possible to store more than one instance of this field. "

In addition, still in deployment:

"The serving network may download additional emergency numbers to the UE in order to ensure that local emergency numbers are known to the UE.  The UE shall regard these emergency numbers as valid in that country (as identified by the MCC) and shall discard them when a new country is entered" 

In the case that any of the above is dialled, an EMERGENCY SETUP is sent which contains no called party number.

Over and above that, it is down to the local MSC.

We are still completing the IMS bits that deal with the VoIP cases, but you can expert at least this.

I have no direct knowledge of what 3GPP2 specify but I suspect it is something eq1uivalent.

regards

Keith

> -----Original Message-----
> From: Byron Smith [mailto:[email-masked]]
> Sent: 11 April 2006 19:16
> Cc: [email-masked]
> Subject: Re: [Ecrit] ANI
> 
> 
> Andrew Newton wrote:
> > Byron Smith wrote:
> >>> Out of curiosity, has there ever been in any attempt to solve the 
> >>> home/visited emergency dial plan issue in the Wireless E911 space?
> >>>
> >>> -andy
> >>>
> >>>
> >> Perhaps I slightly over-stated the situation.
> >>
> >> A good many 911 tandem to PSAP trunks are "enhanced MF", or 10 
> >> digits.  In Indiana, probably 98% of the PSAPs are 
> 10-digit MF trunks.
> >>
> >> However, from local exchange office / or MSC to 911 tandem, easily 
> >> the majority, probably 80%, are 8 digit, with the NPD = 0, unless 
> >> they are using ISUP trunks.  If SS7 ISUP, then it is 10 
> digit. Again, 
> >> in Indiana, only about 15% of the incoming trunks to the 
> 911 tandem 
> >> are ISUP.  The rest are MF.   Out of 17 wireline 911 
> tandems in the 
> >> state, only 3 are SS7 capable.  Probably only about 5% of the 
> >> inter-tandem MF trunks are 10-digits, because few of the 
> originating 
> >> switches support anything other than 0 + 7 digits for MF 
> outpulsing.
> >
> > Byron,
> >
> > I made a slight context switch there and didn't adequately 
> state the 
> > question.  I was not actually asking about the routing aspect of a 
> > visited emergency number, though that is an issue.  I was actually 
> > wondering about the recognition of a home emergency number 
> being used 
> > in a visited network.  As in, if I dial 112 in North 
> America, does the 
> > network recognize 112 as an emergency phone number.
> To my knowledge, no.  Generally not in the USA.
> 
> The originating host switch for the call, be it wireline or wireless, 
> would have to have a translation to recognize, for example, 
> 112, as an 
> emergency call, and then route that call to an appropriate 911 
> destination, typically a trunk group to a 911 tandem. 
> 
> While there is probably nothing that would preclude a 
> operating company 
> from providing a 112 code translation, or other such codes, I 
> doubt that 
> you will find it implemented in very many switches in the US.  
> (Actually, some codes might be a bit of a problem to 
> implement in that 
> they would be prefixes to local dial plans, but there are 
> usually ways 
> around such problems, usually involving time-outs.)
> 
> The only places where I personally have seen this done is in 
> locations 
> that might get a lot of international visitors.  For example, in the 
> British Virgin Islands, I believe you can dial 911, 111, or 
> 999, and get 
> the same result.
> 
> Byron
> > I was just curious if there were any attempts to solve this 
> problem in 
> > the cellular phone space.
> >
> > -andy
> >
> >
> 
> 
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ecrit
> 

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit